| helics 3.6.1

Functions
Default Value functions

## Functions
void | helicsInputSetDefaultBytes (HelicsInput ipt, const void *data, int inputDataLength, HelicsError *err)
void | helicsInputSetDefaultString (HelicsInput ipt, const char *defaultString, HelicsError *err)
void | helicsInputSetDefaultInteger (HelicsInput ipt, int64_t val, HelicsError *err)
void | helicsInputSetDefaultBoolean (HelicsInput ipt, HelicsBool val, HelicsError *err)
void | helicsInputSetDefaultTime (HelicsInput ipt, HelicsTime val, HelicsError *err)
void | helicsInputSetDefaultChar (HelicsInput ipt, char val, HelicsError *err)
void | helicsInputSetDefaultDouble (HelicsInput ipt, double val, HelicsError *err)
void | helicsInputSetDefaultComplex (HelicsInput ipt, double real, double imag, HelicsError *err)
void | helicsInputSetDefaultVector (HelicsInput ipt, const double *vectorInput, int vectorLength, HelicsError *err)
void | helicsInputSetDefaultComplexVector (HelicsInput ipt, const double *vectorInput, int vectorLength, HelicsError *err)
void | helicsInputSetDefaultNamedPoint (HelicsInput ipt, const char *defaultName, double val, HelicsError *err)

## Detailed Description

These functions set the default value for an input. That is the value returned if nothing was published from elsewhere.

## Function Documentation

## ◆ helicsInputSetDefaultBoolean()

void helicsInputSetDefaultBoolean | ( | HelicsInput | ipt,
|  | HelicsBool | val,
|  | HelicsError * | err
| ) |  |

Set the default as a boolean.

Parameters

  | ipt | The input to set the default for.
  | val | The default boolean value.
  [in,out] | err | An error object that will contain an error code and string if any error occurred during the execution of the function.

References HELICS_FALSE.

Referenced by helicscpp::Input::setDefault().

## ◆ helicsInputSetDefaultBytes()

void helicsInputSetDefaultBytes | ( | HelicsInput | ipt,
|  | const void * | data,
|  | int | inputDataLength,
|  | HelicsError * | err
| ) |  |

Set the default as a raw data array.

Parameters

  | ipt | The input to set the default for.
  | data | A pointer to the raw data to use for the default.
  | inputDataLength | The size of the raw data.
  [in,out] | err | An error object that will contain an error code and string if any error occurred during the execution of the function.

Referenced by helicscpp::Input::setDefault().

## ◆ helicsInputSetDefaultChar()

void helicsInputSetDefaultChar | ( | HelicsInput | ipt,
|  | char | val,
|  | HelicsError * | err
| ) |  |

Set the default as a char.

Parameters

  | ipt | The input to set the default for.
  | val | The default char value.
  [in,out] | err | An error object that will contain an error code and string if any error occurred during the execution of the function.

## ◆ helicsInputSetDefaultComplex()

void helicsInputSetDefaultComplex | ( | HelicsInput | ipt,
|  | double | real,
|  | double | imag,
|  | HelicsError * | err
| ) |  |

Set the default as a complex number.

Parameters

  | ipt | The input to set the default for.
  | real | The default real value.
  | imag | The default imaginary value.
  [in,out] | err | An error object that will contain an error code and string if any error occurred during the execution of the function.

Referenced by helicscpp::Input::setDefault().

## ◆ helicsInputSetDefaultComplexVector()

void helicsInputSetDefaultComplexVector | ( | HelicsInput | ipt,
|  | const double * | vectorInput,
|  | int | vectorLength,
|  | HelicsError * | err
| ) |  |

Set the default as a vector of complex doubles. The format is alternating real, imag doubles.

Parameters

  | ipt | The input to set the default for.
  | vectorInput | A pointer to an array of double data alternating between real and imaginary.
  | vectorLength | the number of complex values in the publication (vectorInput must contain 2xvectorLength elements).
  [in,out] | err | An error object that will contain an error code and string if any error occurred during the execution of the function.

Referenced by helicscpp::Input::setDefault().

## ◆ helicsInputSetDefaultDouble()

void helicsInputSetDefaultDouble | ( | HelicsInput | ipt,
|  | double | val,
|  | HelicsError * | err
| ) |  |

Set the default as a double.

Parameters

  | ipt | The input to set the default for.
  | val | The default double value.
  [in,out] | err | An error object that will contain an error code and string if any error occurred during the execution of the function.

Referenced by helicscpp::Input::setDefault().

## ◆ helicsInputSetDefaultInteger()

void helicsInputSetDefaultInteger | ( | HelicsInput | ipt,
|  | int64_t | val,
|  | HelicsError * | err
| ) |  |

Set the default as an integer.

Parameters

  | ipt | The input to set the default for.
  | val | The default integer.
  [in,out] | err | An error object that will contain an error code and string if any error occurred during the execution of the function.

Referenced by helicscpp::Input::setDefault().

## ◆ helicsInputSetDefaultNamedPoint()

void helicsInputSetDefaultNamedPoint | ( | HelicsInput | ipt,
|  | const char * | defaultName,
|  | double | val,
|  | HelicsError * | err
| ) |  |

Set the default as a NamedPoint.

Parameters

  | ipt | The input to set the default for.
  | defaultName | A pointer to a null terminated string representing the field name to use in the named point.
  | val | A double value for the value of the named point.
  [in,out] | err | An error object that will contain an error code and string if any error occurred during the execution of the function.

## ◆ helicsInputSetDefaultString()

void helicsInputSetDefaultString | ( | HelicsInput | ipt,
|  | const char * | defaultString,
|  | HelicsError * | err
| ) |  |

Set the default as a string.

Parameters

  | ipt | The input to set the default for.
  | defaultString | A pointer to the default string.
  [in,out] | err | An error object that will contain an error code and string if any error occurred during the execution of the function.

Referenced by helicscpp::Input::setDefault().

## ◆ helicsInputSetDefaultTime()

void helicsInputSetDefaultTime | ( | HelicsInput | ipt,
|  | HelicsTime | val,
|  | HelicsError * | err
| ) |  |

Set the default as a time.

Parameters

  | ipt | The input to set the default for.
  | val | The default time value.
  [in,out] | err | An error object that will contain an error code and string if any error occurred during the execution of the function.

## ◆ helicsInputSetDefaultVector()

void helicsInputSetDefaultVector | ( | HelicsInput | ipt,
|  | const double * | vectorInput,
|  | int | vectorLength,
|  | HelicsError * | err
| ) |  |

Set the default as a vector of doubles.

Parameters

  | ipt | The input to set the default for.
  | vectorInput | A pointer to an array of double data.
  | vectorLength | The number of doubles in the vector.
  [in,out] | err | An error object that will contain an error code and string if any error occurred during the execution of the function.

Referenced by helicscpp::Input::setDefault().